Subject: RE: [Megaco] Hex coding of SDP in MEGACO

From: "Kevin Boyle" <[email-masked]>
Date: Sat, 26 Nov 2005 12:19:56 -0500

Binary encoding uses Annex C for carrying SDP-type info.  Text encoding
uses text-encoded SDP.  I can't think of a case off the top of my head
where you would want to convert text SDP to its binary equivalent for
transmission.  You'd want to convert the SDP to the Annex C equivalents.

Kevin 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Terry L Howe
Sent: Wednesday, November 23, 2005 10:59 AM
To: PPP
Cc: [email-masked]
Subject: Re: [Megaco] Hex coding of SDP in MEGACO

The values are encoded as octet strings, so they get encoded pretty much
like a regular string with a 0x4 for the tag as I recall.  So the value
for version probably looks something
04 01 30 in a hex dump with 04 for the tag, 01 for the length, and 30
for the version which is the character "0" (zero).

On Wed, 2005-11-23 at 08:25, PPP wrote:
>    I have a question about the coding in SDP.
> 
>    If the coding of SDP in MEGACO is Hex string, is it right?        
> 
>                                          thank you!
> 
>  
> 
> best regards!
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> å®Œ å…¨ å… è´¹ & æ—  é™ å®¹ é‡ ï¼ ä½  çš„ ç½‘ æ˜“ ç›¸ å†Œ
> 
> ______________________________________________________________________
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
--
Terry L Howe <[email-masked]>
Tiptop Software Company

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco